<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| File version: 1.0
| Author: Vlad Fagarasanu (Faga)
| Web: www.cvision.eu
| EMail: office@cvision.eu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

echo "<link rel='stylesheet' href='".INFUSIONS."big_fudge_control_panel/styles.css' type='text/css' />";

if (!checkrights("BFCP") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";
require_once INCLUDES."infusions_include.php";
require_once INFUSIONS."big_fudge_control_panel/locale.php";

include INFUSIONS."big_fudge_control_panel/menu.php";

if (isset($_POST['save_links'])) {
	$save['bf_slider_name'] = (int) set_setting("big_fudge_slider_name", stripinput($_POST['bf_slider_name']), "big_fudge_control_panel");
	$save['bf_slider_content'] = (int) set_setting("big_fudge_slider_content", stripinput($_POST['bf_slider_content']), "big_fudge_control_panel");
	$save['bf_slider_url'] = (int) set_setting("big_fudge_slider_url", stripinput($_POST['bf_slider_url']), "big_fudge_control_panel");
	$save['bf_slider_img'] = (int) set_setting("big_fudge_slider_img", stripinput($_POST['bf_slider_img']), "big_fudge_control_panel");	
	$save['bf_slider2_name'] = (int) set_setting("big_fudge_slider2_name", stripinput($_POST['bf_slider2_name']), "big_fudge_control_panel");
	$save['bf_slider2_content'] = (int) set_setting("big_fudge_slider2_content", stripinput($_POST['bf_slider2_content']), "big_fudge_control_panel");
	$save['bf_slider2_url'] = (int) set_setting("big_fudge_slider2_url", stripinput($_POST['bf_slider2_url']), "big_fudge_control_panel");
	$save['bf_slider2_img'] = (int) set_setting("big_fudge_slider2_img", stripinput($_POST['bf_slider2_img']), "big_fudge_control_panel");	
	$save['bf_slider3_name'] = (int) set_setting("big_fudge_slider3_name", stripinput($_POST['bf_slider3_name']), "big_fudge_control_panel");
	$save['bf_slider3_content'] = (int) set_setting("big_fudge_slider3_content", stripinput($_POST['bf_slider3_content']), "big_fudge_control_panel");
	$save['bf_slider3_url'] = (int) set_setting("big_fudge_slider3_url", stripinput($_POST['bf_slider3_url']), "big_fudge_control_panel");
	$save['bf_slider3_img'] = (int) set_setting("big_fudge_slider3_img", stripinput($_POST['bf_slider3_img']), "big_fudge_control_panel");	
	$save['bf_slider4_name'] = (int) set_setting("big_fudge_slider4_name", stripinput($_POST['bf_slider4_name']), "big_fudge_control_panel");
	$save['bf_slider4_content'] = (int) set_setting("big_fudge_slider4_content", stripinput($_POST['bf_slider4_content']), "big_fudge_control_panel");
	$save['bf_slider4_url'] = (int) set_setting("big_fudge_slider4_url", stripinput($_POST['bf_slider4_url']), "big_fudge_control_panel");
	$save['bf_slider4_img'] = (int) set_setting("big_fudge_slider4_img", stripinput($_POST['bf_slider4_img']), "big_fudge_control_panel");
	$save['bf_slider_ed'] = (int) set_setting("big_fudge_slider_ed", isnum($_POST['bf_slider_ed']) ? $_POST['bf_slider_ed'] : "1", "big_fudge_control_panel");
	$save['bf_slider2_ed'] = (int) set_setting("big_fudge_slider2_ed", isnum($_POST['bf_slider2_ed']) ? $_POST['bf_slider2_ed'] : "1", "big_fudge_control_panel");
	$save['bf_slider3_ed'] = (int) set_setting("big_fudge_slider3_ed", isnum($_POST['bf_slider3_ed']) ? $_POST['bf_slider3_ed'] : "1", "big_fudge_control_panel");
	$save['bf_slider4_ed'] = (int) set_setting("big_fudge_slider4_ed", isnum($_POST['bf_slider4_ed']) ? $_POST['bf_slider4_ed'] : "1", "big_fudge_control_panel");
	
	$message = array_sum($save) == 20 ? $locale['bfcp_101'] : $locale['bfcp_error'];
	if ($message) { echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; };
}

opentable($locale['bfcp_020']);

$inf_settings = get_settings("big_fudge_control_panel");
if (!$inf_settings) {
	$inf_settings = array(
		'big_fudge_slider_name' => "",
		'big_fudge_slider_content' => "",
		'big_fudge_slider_url' => "",
		'big_fudge_slider_img' => "",
		'big_fudge_slider2_name' => "",
		'big_fudge_slider2_content' => "",
		'big_fudge_slider2_url' => "",
		'big_fudge_slider2_img' => "",
		'big_fudge_slider3_name' => "",
		'big_fudge_slider3_content' => "",
		'big_fudge_slider3_url' => "",
		'big_fudge_slider3_img' => "",
		'big_fudge_slider4_name' => "",
		'big_fudge_slider4_content' => "",
		'big_fudge_slider4_url' => "",
		'big_fudge_slider4_img' => "",
		'big_fudge_slider_ed' => "",
		'big_fudge_slider2_ed' => "",
		'big_fudge_slider3_ed' => "",
		'big_fudge_slider4_ed' => ""
	);
	set_setting("big_fudge_slider_name", "", "big_fudge_control_panel");
	set_setting("big_fudge_slider_content", "", "big_fudge_control_panel");
	set_setting("big_fudge_slider_url", "", "big_fudge_control_panel");
	set_setting("big_fudge_slider_img", "", "big_fudge_control_panel");
	set_setting("big_fudge_slider2_name", "", "big_fudge_control_panel");
	set_setting("big_fudge_slider2_content", "", "big_fudge_control_panel");
	set_setting("big_fudge_slider2_url", "", "big_fudge_control_panel");
	set_setting("big_fudge_slider2_img", "", "big_fudge_control_panel");
	set_setting("big_fudge_slider3_name", "", "big_fudge_control_panel");
	set_setting("big_fudge_slider3_content", "", "big_fudge_control_panel");
	set_setting("big_fudge_slider3_url", "", "big_fudge_control_panel");
	set_setting("big_fudge_slider3_img", "", "big_fudge_control_panel");
	set_setting("big_fudge_slider4_name", "", "big_fudge_control_panel");
	set_setting("big_fudge_slider4_content", "", "big_fudge_control_panel");
	set_setting("big_fudge_slider4_url", "", "big_fudge_control_panel");
	set_setting("big_fudge_slider4_img", "", "big_fudge_control_panel");
	set_setting("big_fudge_slider_ed", "", "big_fudge_control_panel");
	set_setting("big_fudge_slider2_ed", "", "big_fudge_control_panel");
	set_setting("big_fudge_slider3_ed", "", "big_fudge_control_panel");
	set_setting("big_fudge_slider4_ed", "", "big_fudge_control_panel");
	
} elseif (is_array($inf_settings) && count($inf_settings) != 20) {
	array_key_exists("big_fudge_slider_name", $inf_settings) ? $inf_settings['big_fudge_slider_name'] : set_setting("big_fudge_slider_name", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_slider_content", $inf_settings) ? $inf_settings['big_fudge_slider_content'] : set_setting("big_fudge_slider_content", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_slider_url", $inf_settings) ? $inf_settings['big_fudge_slider_url'] : set_setting("big_fudge_slider_url", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_slider_img", $inf_settings) ? $inf_settings['big_fudge_slider_img'] : set_setting("big_fudge_slider_img", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_slider2_name", $inf_settings) ? $inf_settings['big_fudge_slider2_name'] : set_setting("big_fudge_slider2_name", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_slider2_content", $inf_settings) ? $inf_settings['big_fudge_slider2_content'] : set_setting("big_fudge_slider2_content", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_slider2_url", $inf_settings) ? $inf_settings['big_fudge_slider2_url'] : set_setting("big_fudge_slider2_url", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_slider2_img", $inf_settings) ? $inf_settings['big_fudge_slider2_img'] : set_setting("big_fudge_slider2_img", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_slider3_name", $inf_settings) ? $inf_settings['big_fudge_slider3_name'] : set_setting("big_fudge_slider3_name", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_slider3_content", $inf_settings) ? $inf_settings['big_fudge_slider3_content'] : set_setting("big_fudge_slider3_content", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_slider3_url", $inf_settings) ? $inf_settings['big_fudge_slider3_url'] : set_setting("big_fudge_slider3_url", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_slider3_img", $inf_settings) ? $inf_settings['big_fudge_slider3_img'] : set_setting("big_fudge_slider3_img", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_slider4_name", $inf_settings) ? $inf_settings['big_fudge_slider4_name'] : set_setting("big_fudge_slider4_name", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_slider4_content", $inf_settings) ? $inf_settings['big_fudge_slider4_content'] : set_setting("big_fudge_slider4_content", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_slider4_url", $inf_settings) ? $inf_settings['big_fudge_slider4_url'] : set_setting("big_fudge_slider4_url", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_slider4_img", $inf_settings) ? $inf_settings['big_fudge_slider4_img'] : set_setting("big_fudge_slider4_img", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_slider_ed", $inf_settings) ? $inf_settings['big_fudge_slider_ed'] : set_setting("big_fudge_slider_ed", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_slider2_ed", $inf_settings) ? $inf_settings['big_fudge_slider2_ed'] : set_setting("big_fudge_slider2_ed", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_slider3_ed", $inf_settings) ? $inf_settings['big_fudge_slider3_ed'] : set_setting("big_fudge_slider3_ed", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_slider4_ed", $inf_settings) ? $inf_settings['big_fudge_slider4_ed'] : set_setting("big_fudge_slider4_ed", "", "big_fudge_control_panel");
}

	echo "<form action='' method='post' enctype='multipart/form-data'>\n";
	echo "<div class='table bf-control-panel-admin'>\n";
	
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['bfcp_601']."</div>\n";
			echo "<div class='td' id='dContent'></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_607']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_slider_name' value='".$inf_settings['big_fudge_slider_name']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_606']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_slider_img' value='".$inf_settings['big_fudge_slider_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_609']."</div>\n";
			echo "<div class='td' id='content'><textarea cols='78' rows='5' class='textbox' name='bf_slider_content'>".$inf_settings['big_fudge_slider_content']."</textarea></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_608']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_slider_url' value='".$inf_settings['big_fudge_slider_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='Title'>".$locale['bfcp_610']."</div>\n";
			echo "<div class='td' id='Content'><select name='bf_slider_ed' class='textbox'>\n";
			echo "<option value='1'".($inf_settings['big_fudge_slider_ed'] == "1" ? " selected='selected'" : "").">".$locale['bfcp_012']."</option>\n";
			echo "<option value='0'".($inf_settings['big_fudge_slider_ed'] == "0" ? " selected='selected'" : "").">".$locale['bfcp_013']."</option>\n";
			echo "</select></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['bfcp_602']."</div>\n";
			echo "<div class='td' id='dContent'></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_607']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_slider2_name' value='".$inf_settings['big_fudge_slider2_name']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_606']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_slider2_img' value='".$inf_settings['big_fudge_slider2_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_609']."</div>\n";
			echo "<div class='td' id='content'><textarea cols='78' rows='5' class='textbox' name='bf_slider2_content'>".$inf_settings['big_fudge_slider2_content']."</textarea></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_608']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_slider2_url' value='".$inf_settings['big_fudge_slider2_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='Title'>".$locale['bfcp_610']."</div>\n";
			echo "<div class='td' id='Content'><select name='bf_slider2_ed' class='textbox'>\n";
			echo "<option value='1'".($inf_settings['big_fudge_slider2_ed'] == "1" ? " selected='selected'" : "").">".$locale['bfcp_012']."</option>\n";
			echo "<option value='0'".($inf_settings['big_fudge_slider2_ed'] == "0" ? " selected='selected'" : "").">".$locale['bfcp_013']."</option>\n";
			echo "</select></div>\n";
		echo "</div>\n";
		
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['bfcp_603']."</div>\n";
			echo "<div class='td' id='dContent'></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_607']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_slider3_name' value='".$inf_settings['big_fudge_slider3_name']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_606']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_slider3_img' value='".$inf_settings['big_fudge_slider3_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_609']."</div>\n";
			echo "<div class='td' id='content'><textarea cols='78' rows='5' class='textbox' name='bf_slider3_content'>".$inf_settings['big_fudge_slider3_content']."</textarea></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_608']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_slider3_url' value='".$inf_settings['big_fudge_slider3_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='Title'>".$locale['bfcp_610']."</div>\n";
			echo "<div class='td' id='Content'><select name='bf_slider3_ed' class='textbox'>\n";
			echo "<option value='1'".($inf_settings['big_fudge_slider3_ed'] == "1" ? " selected='selected'" : "").">".$locale['bfcp_012']."</option>\n";
			echo "<option value='0'".($inf_settings['big_fudge_slider3_ed'] == "0" ? " selected='selected'" : "").">".$locale['bfcp_013']."</option>\n";
			echo "</select></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['bfcp_604']."</div>\n";
			echo "<div class='td' id='dContent'></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_607']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_slider4_name' value='".$inf_settings['big_fudge_slider4_name']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_606']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_slider4_img' value='".$inf_settings['big_fudge_slider4_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_609']."</div>\n";
			echo "<div class='td' id='content'><textarea cols='78' rows='5' class='textbox' name='bf_slider4_content'>".$inf_settings['big_fudge_slider4_content']."</textarea></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_608']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_slider4_url' value='".$inf_settings['big_fudge_slider4_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='Title'>".$locale['bfcp_610']."</div>\n";
			echo "<div class='td' id='Content'><select name='bf_slider4_ed' class='textbox'>\n";
			echo "<option value='1'".($inf_settings['big_fudge_slider4_ed'] == "1" ? " selected='selected'" : "").">".$locale['bfcp_012']."</option>\n";
			echo "<option value='0'".($inf_settings['big_fudge_slider4_ed'] == "0" ? " selected='selected'" : "").">".$locale['bfcp_013']."</option>\n";
			echo "</select></div>\n";
		echo "</div>\n";
		
	echo "</div>\n";
	echo "<div align='center' style='padding-top: 10px;'>";
	echo "<input type='submit' class='button' name='save_links' value='".$locale['bfcp_104']."' /></div>\n";    
	echo "</form>\n";

closetable();

require_once THEMES."templates/footer.php";
?>
