<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| File version: 1.0
| Author: Vlad Fagarasanu (Faga)
| Web: www.cvision.eu
| EMail: office@cvision.eu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

echo "<link rel='stylesheet' href='".INFUSIONS."big_fudge_control_panel/styles.css' type='text/css' />";

if (!checkrights("BFCP") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";
require_once INCLUDES."infusions_include.php";
require_once INFUSIONS."big_fudge_control_panel/locale.php";

include INFUSIONS."big_fudge_control_panel/menu.php";

if (isset($_POST['save_links'])) {
	$save['bf_ed'] = (int) set_setting("big_fudge_ed", isnum($_POST['bf_ed']) ? $_POST['bf_ed'] : "1", "big_fudge_control_panel");
	$save['bf_ed_ga'] = (int) set_setting("big_fudge_ed_ga", isnum($_POST['bf_ed_ga']) ? $_POST['bf_ed_ga'] : "0", "big_fudge_control_panel");
	$save['bf_ed_footer'] = (int) set_setting("big_fudge_ed_footer", isnum($_POST['bf_ed_footer']) ? $_POST['bf_ed_footer'] : "1", "big_fudge_control_panel");
	$save['bf_ed_sb'] = (int) set_setting("big_fudge_ed_sb", isnum($_POST['bf_ed_sb']) ? $_POST['bf_ed_sb'] : "0", "big_fudge_control_panel");
	$save['bf_ed_btt'] = (int) set_setting("big_fudge_ed_btt", isnum($_POST['bf_ed_btt']) ? $_POST['bf_ed_btt'] : "1", "big_fudge_control_panel");
	$save['bf_ed_slider'] = (int) set_setting("big_fudge_ed_slider", isnum($_POST['bf_ed_slider']) ? $_POST['bf_ed_slider'] : "1", "big_fudge_control_panel");
	
	$message = array_sum($save) == 6 ? $locale['bfcp_101'] : $locale['bfcp_error'];
	if ($message) { echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; };
}

opentable($locale['bfcp_010']);

$inf_settings = get_settings("big_fudge_control_panel");
if (!$inf_settings) {
	$inf_settings = array(
		'big_fudge_ed' => "",
		'big_fudge_ed_ga' => "",
		'big_fudge_ed_footer' => "",
		'big_fudge_ed_sb' => "",
		'big_fudge_ed_btt' => "",
		'big_fudge_ed_slider' => ""
	);
	set_setting("big_fudge_ed", "", "big_fudge_control_panel");
	set_setting("big_fudge_ed_ga", "", "big_fudge_control_panel");
	set_setting("big_fudge_ed_footer", "", "big_fudge_control_panel");
	set_setting("big_fudge_ed_sb", "", "big_fudge_control_panel");
	set_setting("big_fudge_ed_btt", "", "big_fudge_control_panel");
	set_setting("big_fudge_ed_slider", "", "big_fudge_control_panel");
	
} elseif (is_array($inf_settings) && count($inf_settings) != 6) {	
	array_key_exists("big_fudge_ed", $inf_settings) ? $inf_settings['big_fudge_ed'] : set_setting("big_fudge_ed", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_ed_ga", $inf_settings) ? $inf_settings['big_fudge_ed_ga'] : set_setting("big_fudge_ed_ga", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_ed_footer", $inf_settings) ? $inf_settings['big_fudge_ed_footer'] : set_setting("big_fudge_ed_footer", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_ed_sb", $inf_settings) ? $inf_settings['big_fudge_ed_sb'] : set_setting("big_fudge_ed_sb", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_ed_btt", $inf_settings) ? $inf_settings['big_fudge_ed_btt'] : set_setting("big_fudge_ed_btt", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_ed_slider", $inf_settings) ? $inf_settings['big_fudge_ed_slider'] : set_setting("big_fudge_ed_slider", "", "big_fudge_control_panel");
}
	echo "<form action='' method='post' enctype='multipart/form-data'>\n";
	echo "<div class='table bf-control-panel-admin'>\n";
	
	echo "<div class='tr'>\n";
		echo "<div class='td' id='Title'>".$locale['bfcp_011']."</div>\n";
		echo "<div class='td' id='Content'><select name='bf_ed' class='textbox'>\n";
		echo "<option value='1'".($inf_settings['big_fudge_ed'] == "1" ? " selected='selected'" : "").">".$locale['bfcp_012']."</option>\n";
		echo "<option value='0'".($inf_settings['big_fudge_ed'] == "0" ? " selected='selected'" : "").">".$locale['bfcp_013']."</option>\n";
		echo "</select></div>\n";
	echo "</div>\n";
	
	echo "<div class='tr'>\n";
		echo "<div class='td' id='Title'>".$locale['bfcp_016']."</div>\n";
		echo "<div class='td' id='Content'><select name='bf_ed_ga' class='textbox'>\n";
		echo "<option value='1'".($inf_settings['big_fudge_ed_ga'] == "1" ? " selected='selected'" : "").">".$locale['bfcp_012']."</option>\n";
		echo "<option value='0'".($inf_settings['big_fudge_ed_ga'] == "0" ? " selected='selected'" : "").">".$locale['bfcp_013']."</option>\n";
		echo "</select></div>\n";
	echo "</div>\n";
	
	echo "<div class='tr'>\n";
		echo "<div class='td' id='Title'>".$locale['bfcp_017']."</div>\n";
		echo "<div class='td' id='Content'><select name='bf_ed_footer' class='textbox'>\n";
		echo "<option value='1'".($inf_settings['big_fudge_ed_footer'] == "1" ? " selected='selected'" : "").">".$locale['bfcp_012']."</option>\n";
		echo "<option value='0'".($inf_settings['big_fudge_ed_footer'] == "0" ? " selected='selected'" : "").">".$locale['bfcp_013']."</option>\n";
		echo "</select></div>\n";
	echo "</div>\n";
	
	echo "<div class='tr'>\n";
		echo "<div class='td' id='Title'>".$locale['bfcp_018']."</div>\n";
		echo "<div class='td' id='Content'><select name='bf_ed_sb' class='textbox'>\n";
		echo "<option value='1'".($inf_settings['big_fudge_ed_sb'] == "1" ? " selected='selected'" : "").">".$locale['bfcp_012']."</option>\n";
		echo "<option value='0'".($inf_settings['big_fudge_ed_sb'] == "0" ? " selected='selected'" : "").">".$locale['bfcp_013']."</option>\n";
		echo "</select></div>\n";
	echo "</div>\n";
	
	echo "<div class='tr'>\n";
		echo "<div class='td' id='Title'>".$locale['bfcp_019']."</div>\n";
		echo "<div class='td' id='Content'><select name='bf_ed_btt' class='textbox'>\n";
		echo "<option value='1'".($inf_settings['big_fudge_ed_btt'] == "1" ? " selected='selected'" : "").">".$locale['bfcp_012']."</option>\n";
		echo "<option value='0'".($inf_settings['big_fudge_ed_btt'] == "0" ? " selected='selected'" : "").">".$locale['bfcp_013']."</option>\n";
		echo "</select></div>\n";
	echo "</div>\n";
	
	echo "<div class='tr'>\n";
		echo "<div class='td' id='Title'>".$locale['bfcp_020'].":</div>\n";
		echo "<div class='td' id='Content'><select name='bf_ed_slider' class='textbox'>\n";
		echo "<option value='1'".($inf_settings['big_fudge_ed_slider'] == "1" ? " selected='selected'" : "").">".$locale['bfcp_012']."</option>\n";
		echo "<option value='0'".($inf_settings['big_fudge_ed_slider'] == "0" ? " selected='selected'" : "").">".$locale['bfcp_013']."</option>\n";
		echo "</select></div>\n";
	echo "</div>\n";
		
	echo "</div>\n";
	echo "<div align='center' style='padding-top: 10px;'>";
	echo "<input type='submit' class='button' name='save_links' value='".$locale['bfcp_104']."' /></div>\n";    
	echo "</form>\n";
	
closetable();

require_once THEMES."templates/footer.php";
?>
