<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| File version: 1.0
| Author: Vlad Fagarasanu (Faga)
| Web: www.cvision.eu
| EMail: office@cvision.eu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

echo "<script type='text/javascript' src='".INFUSIONS."big_fudge_latest_articles_panel/js/jquery.slimscroll.js'></script>\n";
echo "<link rel='stylesheet' href='".INFUSIONS."big_fudge_latest_articles_panel/styles.css' type='text/css' />\n";

	if (file_exists(INFUSIONS."big_fudge_latest_articles_panel/locale/".$settings['locale'].".php")) {
		include INFUSIONS."big_fudge_latest_articles_panel/locale/".$settings['locale'].".php";
	} else { 
		include INFUSIONS."big_fudge_latest_articles_panel/locale/English.php"; 
	}
		
openside($locale['global_030']);
$result = dbquery(
	"SELECT * FROM ".DB_ARTICLES." ta
	INNER JOIN ".DB_ARTICLE_CATS." tac ON ta.article_cat=tac.article_cat_id
	".(iSUPERADMIN ? "" : "WHERE ".groupaccess('article_cat_access'))." AND article_draft='0' ORDER BY article_datestamp DESC LIMIT 0,6"
);

if (dbrows($result)) {
	echo "<div id='css-articles'>\n";
	while($data = dbarray($result)) {
		$itemsubject = trimlink($data['article_subject'], 33);
		$itemcontent = substr(stripslashes($data["article_snippet"]), 0, 120);
		echo "<ul>\n";
		echo "<li><a href='".BASEDIR."articles.php?article_id=".$data['article_id']."' title='".$data['article_subject']."'>".$itemsubject."</a>".$itemcontent."<span style='float: right;'>[<a href='".BASEDIR."articles.php?article_id=".$data['article_id']."' title='".$data['article_subject']."'>".$locale['read_more']."</a>]</span></li>\n";
		echo "</ul>\n\n";
		
	}
	echo "</div>\n";
} else {
	echo "<div style='text-align:center'>".$locale['global_031']."</div>\n";
}

echo "<script type='text/javascript'>
    $(function(){
      $('#css-articles').slimscroll({
        size: '4px'
      });
    });
</script>";

closeside();
?>