<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| File version: 1.0
| Author: Vlad Fagarasanu (Faga)
| Web: www.cvision.eu
| EMail: office@cvision.eu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

echo "<link rel='stylesheet' href='".INFUSIONS."big_fudge_user_info_panel/styles.css' type='text/css' />";

if (iMEMBER) {
	$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0' AND message_folder='0'");
	
	openuinfo($userdata['user_name']);
	echo "<a class='avatar' href='".BASEDIR."profile.php?lookup=".$userdata['user_id']."'>";
	global $userdata; 
	if ($userdata['user_avatar'] && file_exists(IMAGES."avatars/".$userdata['user_avatar'])) {
		echo "<img src='".IMAGES."avatars/".$userdata['user_avatar']."' alt='avatar' width='50' height='50'/>\n";
	} else {
		echo "<img src='".IMAGES."avatars/noavatar50.png' alt='no-avatar' width='50' height='50' />\n";
	}
	echo "</a>\n";
	echo "<div id='side-navi'>\n";
		echo "<ul>\n";
			echo "<li><a href='".BASEDIR."edit_profile.php' class='side'>".$locale['global_120']."</a></li>\n";
			echo "<li><a href='".BASEDIR."messages.php' class='side'>".$locale['global_121']."</a></li>\n";
			echo "<li><a href='".BASEDIR."members.php' class='side'>".$locale['global_122']."</a></li>\n";
		
			if (iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) {
				echo "<li><a href='".ADMIN."index.php".$aidlink."' class='side'>".$locale['global_123']."</a></li>\n";
				$inf_settings = get_settings("big_fudge_control_panel");
				if ($inf_settings) {
					echo "<li><a href='".BASEDIR."infusions/big_fudge_control_panel/manage.php".$aidlink."' class='side'>Theme Control Panel</a></li>\n";
				}
			}
		
			echo "<li><a href='".BASEDIR."index.php?logout=yes' class='side'>".$locale['global_124']."</a></li>\n";
		echo "</ul>\n";
	echo "</div>\n";
	
	if ($msg_count) {
		echo "<div class='notification'>\n";
		echo "<a href='".BASEDIR."messages.php' class='side'>".sprintf($locale['global_125'], $msg_count);
		echo ($msg_count == 1 ? $locale['global_126'] : $locale['global_127'])."</a>\n";
		echo "</div>\n";
	}

	if (iADMIN && checkrights("SU")) {
		$subm_count = dbcount("(submit_id)", DB_SUBMISSIONS);

		if ($subm_count) {
			echo "<div class='notification'>\n";
			echo "<a href='".ADMIN."submissions.php".$aidlink."' class='side'>".sprintf($locale['global_125'], $subm_count);
			echo ($subm_count == 1 ? $locale['global_128'] : $locale['global_129'])."</a>\n";
			echo "</div>\n";
		}
	}
	closeuinfo();
} else {
	if (!preg_match('/login.php/i',FUSION_SELF)) {
		$action_url = FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : "");
		if (isset($_GET['redirect']) && strstr($_GET['redirect'], "/")) {
			$action_url = cleanurl(urldecode($_GET['redirect']));
		}

		openuinfo($locale['global_100']);
		echo "<div style='text-align:center'>\n";
		echo "<form name='loginform' method='post' action='".$action_url."'>\n";
		echo "<input type='text' name='user_name' class='textbox' style='width:150px' placeholder='".$locale['global_101']."' /><br />\n";
		echo "<input type='password' name='user_pass' class='textbox' style='width:150px' placeholder='".$locale['global_102']."' /><br />\n";
		echo "<label><input type='checkbox' name='remember_me' value='y' title='".$locale['global_103']."' style='vertical-align:middle;' /></label>\n";
		echo "<input type='submit' name='login' value='".$locale['global_104']."' class='button' /><br />\n";
		echo "</form>\n<br />\n";

		if ($settings['enable_registration']) {
			echo $locale['global_105']."<br /><br />\n";
		}
		echo $locale['global_106']."\n</div>\n";
		closeuinfo();
	}
}
?>