<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| File version: 1.0
| Author: Vlad Fagarasanu (Faga)
| Web: www.cvision.eu
| EMail: office@cvision.eu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

echo "<link rel='stylesheet' href='".INFUSIONS."big_fudge_control_panel/styles.css' type='text/css' />";

if (!checkrights("BFCP") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";
require_once INCLUDES."infusions_include.php";
require_once INFUSIONS."big_fudge_control_panel/locale.php";

include INFUSIONS."big_fudge_control_panel/menu.php";

if (isset($_POST['save_links'])) {
	$save['bf_side_banner_title'] = (int) set_setting("big_fudge_side_banner_title", stripinput($_POST['bf_side_banner_title']), "big_fudge_control_panel");
	$save['bf_side_banner_img'] = (int) set_setting("big_fudge_side_banner_img", stripinput($_POST['bf_side_banner_img']), "big_fudge_control_panel");
	$save['bf_side_banner_url'] = (int) set_setting("big_fudge_side_banner_url", stripinput($_POST['bf_side_banner_url']), "big_fudge_control_panel");
	
	$save['bf_side_banner2_title'] = (int) set_setting("big_fudge_side_banner2_title", stripinput($_POST['bf_side_banner2_title']), "big_fudge_control_panel");
	$save['bf_side_banner2_img'] = (int) set_setting("big_fudge_side_banner2_img", stripinput($_POST['bf_side_banner2_img']), "big_fudge_control_panel");
	$save['bf_side_banner2_url'] = (int) set_setting("big_fudge_side_banner2_url", stripinput($_POST['bf_side_banner2_url']), "big_fudge_control_panel");
	
	$save['bf_side_banner3_title'] = (int) set_setting("big_fudge_side_banner3_title", stripinput($_POST['bf_side_banner3_title']), "big_fudge_control_panel");
	$save['bf_side_banner3_img'] = (int) set_setting("big_fudge_side_banner3_img", stripinput($_POST['bf_side_banner3_img']), "big_fudge_control_panel");
	$save['bf_side_banner3_url'] = (int) set_setting("big_fudge_side_banner3_url", stripinput($_POST['bf_side_banner3_url']), "big_fudge_control_panel");
	
	$save['bf_side_banner4_title'] = (int) set_setting("big_fudge_side_banner4_title", stripinput($_POST['bf_side_banner4_title']), "big_fudge_control_panel");
	$save['bf_side_banner4_img'] = (int) set_setting("big_fudge_side_banner4_img", stripinput($_POST['bf_side_banner4_img']), "big_fudge_control_panel");
	$save['bf_side_banner4_url'] = (int) set_setting("big_fudge_side_banner4_url", stripinput($_POST['bf_side_banner4_url']), "big_fudge_control_panel");
	
	$message = array_sum($save) == 12 ? $locale['bfcp_101'] : $locale['bfcp_error'];
	if ($message) { echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; };
}

opentable($locale['bfcp_003']);

$inf_settings = get_settings("big_fudge_control_panel");
if (!$inf_settings) {
	$inf_settings = array(
		'big_fudge_side_banner_title' => "",
		'big_fudge_side_banner_img' => "",
		'big_fudge_side_banner_url' => "",
		'big_fudge_side_banner2_title' => "",
		'big_fudge_side_banner2_img' => "",
		'big_fudge_side_banner2_url' => "",
		'big_fudge_side_banner3_title' => "",
		'big_fudge_side_banner3_img' => "",
		'big_fudge_side_banner3_url' => "",
		'big_fudge_side_banner4_title' => "",
		'big_fudge_side_banner4_img' => "",
		'big_fudge_side_banner4_url' => ""
	);
	set_setting("big_fudge_side_banner_title", "", "big_fudge_control_panel");
	set_setting("big_fudge_side_banner_img", "", "big_fudge_control_panel");
	set_setting("big_fudge_side_banner_url", "", "big_fudge_control_panel");
	set_setting("big_fudge_side_banner2_title", "", "big_fudge_control_panel");
	set_setting("big_fudge_side_banner2_img", "", "big_fudge_control_panel");
	set_setting("big_fudge_side_banner2_url", "", "big_fudge_control_panel");
	set_setting("big_fudge_side_banner3_title", "", "big_fudge_control_panel");
	set_setting("big_fudge_side_banner3_img", "", "big_fudge_control_panel");
	set_setting("big_fudge_side_banner3_url", "", "big_fudge_control_panel");
	set_setting("big_fudge_side_banner4_title", "", "big_fudge_control_panel");
	set_setting("big_fudge_side_banner4_img", "", "big_fudge_control_panel");
	set_setting("big_fudge_side_banner4_url", "", "big_fudge_control_panel");
	
} elseif (is_array($inf_settings) && count($inf_settings) != 12) {
	array_key_exists("big_fudge_side_banner_title", $inf_settings) ? $inf_settings['big_fudge_side_banner_title'] : set_setting("big_fudge_side_banner_title", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_side_banner_img", $inf_settings) ? $inf_settings['big_fudge_side_banner_img'] : set_setting("big_fudge_side_banner_img", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_side_banner_url", $inf_settings) ? $inf_settings['big_fudge_side_banner_url'] : set_setting("big_fudge_side_banner_url", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_side_banner2_title", $inf_settings) ? $inf_settings['big_fudge_side_banner2_title'] : set_setting("big_fudge_side_banner2_title", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_side_banner2_img", $inf_settings) ? $inf_settings['big_fudge_side_banner2_img'] : set_setting("big_fudge_side_banner2_img", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_side_banner2_url", $inf_settings) ? $inf_settings['big_fudge_side_banner2_url'] : set_setting("big_fudge_side_banner2_url", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_side_banner3_title", $inf_settings) ? $inf_settings['big_fudge_side_banner3_title'] : set_setting("big_fudge_side_banner3_title", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_side_banner3_img", $inf_settings) ? $inf_settings['big_fudge_side_banner3_img'] : set_setting("big_fudge_side_banner3_img", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_side_banner3_url", $inf_settings) ? $inf_settings['big_fudge_side_banner3_url'] : set_setting("big_fudge_side_banner3_url", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_side_banner4_title", $inf_settings) ? $inf_settings['big_fudge_side_banner4_title'] : set_setting("big_fudge_side_banner4_title", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_side_banner4_img", $inf_settings) ? $inf_settings['big_fudge_side_banner4_img'] : set_setting("big_fudge_side_banner4_img", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_side_banner4_url", $inf_settings) ? $inf_settings['big_fudge_side_banner4_url'] : set_setting("big_fudge_side_banner4_url", "", "big_fudge_control_panel");
	
}
	
	echo "<form action='' method='post' enctype='multipart/form-data'>\n";
	echo "<div class='table bf-control-panel-admin'>\n";
	
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['bfcp_500']."</div>\n";
			echo "<div class='td' id='dContent'></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_506']."<br /><small><i>".$locale['bfcp_510'] ."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_side_banner_img' value='".$inf_settings['big_fudge_side_banner_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_507']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_side_banner_title' value='".$inf_settings['big_fudge_side_banner_title']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_508']."<br /><small><i>".$locale['bfcp_509'] ."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_side_banner_url' value='".$inf_settings['big_fudge_side_banner_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";

		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['bfcp_501']."</div>\n";
			echo "<div class='td' id='dContent'></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_506']."<br /><small><i>".$locale['bfcp_510'] ."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_side_banner2_img' value='".$inf_settings['big_fudge_side_banner2_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_507']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_side_banner2_title' value='".$inf_settings['big_fudge_side_banner2_title']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_508']."<br /><small><i>".$locale['bfcp_509'] ."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_side_banner2_url' value='".$inf_settings['big_fudge_side_banner2_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
	
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['bfcp_502']."</div>\n";
			echo "<div class='td' id='dContent'></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_506']."<br /><small><i>".$locale['bfcp_510'] ."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_side_banner3_img' value='".$inf_settings['big_fudge_side_banner3_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_507']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_side_banner3_title' value='".$inf_settings['big_fudge_side_banner3_title']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_508']."<br /><small><i>".$locale['bfcp_509'] ."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_side_banner3_url' value='".$inf_settings['big_fudge_side_banner3_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
	
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['bfcp_503']."</div>\n";
			echo "<div class='td' id='dContent'></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_506']."<br /><small><i>".$locale['bfcp_510'] ."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_side_banner4_img' value='".$inf_settings['big_fudge_side_banner4_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_507']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_side_banner4_title' value='".$inf_settings['big_fudge_side_banner4_title']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_508']."<br /><small><i>".$locale['bfcp_509'] ."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_side_banner4_url' value='".$inf_settings['big_fudge_side_banner4_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";

	echo "</div>\n";
    
	echo "<div align='center' style='padding-top: 10px;'>";
	echo "<input type='submit' class='button' name='save_links' value='".$locale['bfcp_104']."' /></div>\n";    
	echo "</form>\n";
	
closetable();

require_once THEMES."templates/footer.php";
?>
