<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| File version: 1.0
| Author: Vlad Fagarasanu (Faga)
| Web: www.cvision.eu
| EMail: office@cvision.eu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";

echo "<link rel='stylesheet' href='".INFUSIONS."big_fudge_control_panel/styles.css' type='text/css' />";

if (!checkrights("BFCP") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";
require_once INCLUDES."infusions_include.php";
require_once INFUSIONS."big_fudge_control_panel/locale.php";

include INFUSIONS."big_fudge_control_panel/menu.php";

if (isset($_POST['save_links'])) {
	$save['bf_s1_img'] = (int) set_setting("big_fudge_s1_img", stripinput($_POST['bf_s1_img']), "big_fudge_control_panel");
	$save['bf_s1_title'] = (int) set_setting("big_fudge_s1_title", stripinput($_POST['bf_s1_title']), "big_fudge_control_panel");
	$save['bf_s1_url'] = (int) set_setting("big_fudge_s1_url", stripinput($_POST['bf_s1_url']), "big_fudge_control_panel");
	$save['bf_s2_img'] = (int) set_setting("big_fudge_s2_img", stripinput($_POST['bf_s2_img']), "big_fudge_control_panel");
	$save['bf_s2_title'] = (int) set_setting("big_fudge_s2_title", stripinput($_POST['bf_s2_title']), "big_fudge_control_panel");
	$save['bf_s2_url'] = (int) set_setting("big_fudge_s2_url", stripinput($_POST['bf_s2_url']), "big_fudge_control_panel");
	$save['bf_s3_img'] = (int) set_setting("big_fudge_s3_img", stripinput($_POST['bf_s3_img']), "big_fudge_control_panel");
	$save['bf_s3_title'] = (int) set_setting("big_fudge_s3_title", stripinput($_POST['bf_s3_title']), "big_fudge_control_panel");
	$save['bf_s3_url'] = (int) set_setting("big_fudge_s3_url", stripinput($_POST['bf_s3_url']), "big_fudge_control_panel");
	$save['bf_s4_img'] = (int) set_setting("big_fudge_s4_img", stripinput($_POST['bf_s4_img']), "big_fudge_control_panel");
	$save['bf_s4_title'] = (int) set_setting("big_fudge_s4_title", stripinput($_POST['bf_s4_title']), "big_fudge_control_panel");
	$save['bf_s4_url'] = (int) set_setting("big_fudge_s4_url", stripinput($_POST['bf_s4_url']), "big_fudge_control_panel");
	$save['bf_s5_img'] = (int) set_setting("big_fudge_s5_img", stripinput($_POST['bf_s5_img']), "big_fudge_control_panel");
	$save['bf_s5_title'] = (int) set_setting("big_fudge_s5_title", stripinput($_POST['bf_s5_title']), "big_fudge_control_panel");
	$save['bf_s5_url'] = (int) set_setting("big_fudge_s5_url", stripinput($_POST['bf_s5_url']), "big_fudge_control_panel");
	$save['bf_s6_img'] = (int) set_setting("big_fudge_s6_img", stripinput($_POST['bf_s6_img']), "big_fudge_control_panel");
	$save['bf_s6_title'] = (int) set_setting("big_fudge_s6_title", stripinput($_POST['bf_s6_title']), "big_fudge_control_panel");
	$save['bf_s6_url'] = (int) set_setting("big_fudge_s6_url", stripinput($_POST['bf_s6_url']), "big_fudge_control_panel");	
	$save['bf_s7_img'] = (int) set_setting("big_fudge_s7_img", stripinput($_POST['bf_s7_img']), "big_fudge_control_panel");
	$save['bf_s7_title'] = (int) set_setting("big_fudge_s7_title", stripinput($_POST['bf_s7_title']), "big_fudge_control_panel");
	$save['bf_s7_url'] = (int) set_setting("big_fudge_s7_url", stripinput($_POST['bf_s7_url']), "big_fudge_control_panel");
	$save['bf_s8_img'] = (int) set_setting("big_fudge_s8_img", stripinput($_POST['bf_s8_img']), "big_fudge_control_panel");
	$save['bf_s8_title'] = (int) set_setting("big_fudge_s8_title", stripinput($_POST['bf_s8_title']), "big_fudge_control_panel");
	$save['bf_s8_url'] = (int) set_setting("big_fudge_s8_url", stripinput($_POST['bf_s8_url']), "big_fudge_control_panel");

	
	$message = array_sum($save) == 24 ? $locale['bfcp_101'] : $locale['bfcp_error'];
	if ($message) { echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; };
}

opentable($locale['bfcp_001']);

$inf_settings = get_settings("big_fudge_control_panel");
if (!$inf_settings) {
	$inf_settings = array(
		'big_fudge_s1_img' => "",
		'big_fudge_s1_title' => "",
		'big_fudge_s1_url' => "",
		'big_fudge_s2_img' => "",
		'big_fudge_s2_title' => "",
		'big_fudge_s2_url' => "",
		'big_fudge_s3_img' => "",
		'big_fudge_s3_title' => "",
		'big_fudge_s3_url' => "",		
		'big_fudge_s4_img' => "",
		'big_fudge_s4_title' => "",
		'big_fudge_s4_url' => "",
		'big_fudge_s5_img' => "",
		'big_fudge_s5_title' => "",
		'big_fudge_s5_url' => "",
		'big_fudge_s6_img' => "",
		'big_fudge_s6_title' => "",
		'big_fudge_s6_url' => "",
		'big_fudge_s7_img' => "",
		'big_fudge_s7_title' => "",
		'big_fudge_s7_url' => "",
		'big_fudge_s8_img' => "",
		'big_fudge_s8_title' => "",
		'big_fudge_s8_url' => ""
	);
	set_setting("big_fudge_s1_img", "", "big_fudge_control_panel");
	set_setting("big_fudge_s1_title", "", "big_fudge_control_panel");
	set_setting("big_fudge_s1_url", "", "big_fudge_control_panel");
	set_setting("big_fudge_s2_img", "", "big_fudge_control_panel");
	set_setting("big_fudge_s2_title", "", "big_fudge_control_panel");
	set_setting("big_fudge_s2_url", "", "big_fudge_control_panel");
	set_setting("big_fudge_s3_img", "", "big_fudge_control_panel");
	set_setting("big_fudge_s3_title", "", "big_fudge_control_panel");
	set_setting("big_fudge_s3_url", "", "big_fudge_control_panel");
	set_setting("big_fudge_s4_img", "", "big_fudge_control_panel");
	set_setting("big_fudge_s4_title", "", "big_fudge_control_panel");
	set_setting("big_fudge_s4_url", "", "big_fudge_control_panel");
	set_setting("big_fudge_s5_img", "", "big_fudge_control_panel");
	set_setting("big_fudge_s5_title", "", "big_fudge_control_panel");
	set_setting("big_fudge_s5_url", "", "big_fudge_control_panel");
	set_setting("big_fudge_s6_img", "", "big_fudge_control_panel");
	set_setting("big_fudge_s6_title", "", "big_fudge_control_panel");
	set_setting("big_fudge_s6_url", "", "big_fudge_control_panel");
	set_setting("big_fudge_s7_img", "", "big_fudge_control_panel");
	set_setting("big_fudge_s7_title", "", "big_fudge_control_panel");
	set_setting("big_fudge_s7_url", "", "big_fudge_control_panel");
	set_setting("big_fudge_s8_img", "", "big_fudge_control_panel");
	set_setting("big_fudge_s8_title", "", "big_fudge_control_panel");
	set_setting("big_fudge_s8_url", "", "big_fudge_control_panel");
	
} elseif (is_array($inf_settings) && count($inf_settings) != 24) {
	array_key_exists("big_fudge_s1_img", $inf_settings) ? $inf_settings['big_fudge_s1_img'] : set_setting("big_fudge_s1_img", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_s1_title", $inf_settings) ? $inf_settings['big_fudge_s1_title'] : set_setting("big_fudge_s1_title", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_s1_url", $inf_settings) ? $inf_settings['big_fudge_s1_url'] : set_setting("big_fudge_s1_url", "", "big_fudge_control_panel");
	
	array_key_exists("big_fudge_s2_img", $inf_settings) ? $inf_settings['big_fudge_s2_img'] : set_setting("big_fudge_s2_img", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_s2_title", $inf_settings) ? $inf_settings['big_fudge_s2_title'] : set_setting("big_fudge_s2_title", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_s2_url", $inf_settings) ? $inf_settings['big_fudge_s2_url'] : set_setting("big_fudge_s2_url", "", "big_fudge_control_panel");
	
	array_key_exists("big_fudge_s3_img", $inf_settings) ? $inf_settings['big_fudge_s3_img'] : set_setting("big_fudge_s3_img", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_s3_title", $inf_settings) ? $inf_settings['big_fudge_s3_title'] : set_setting("big_fudge_s3_title", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_s3_url", $inf_settings) ? $inf_settings['big_fudge_s3_url'] : set_setting("big_fudge_s3_url", "", "big_fudge_control_panel");
	
	array_key_exists("big_fudge_s4_img", $inf_settings) ? $inf_settings['big_fudge_s4_img'] : set_setting("big_fudge_s4_img", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_s4_title", $inf_settings) ? $inf_settings['big_fudge_s4_title'] : set_setting("big_fudge_s4_title", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_s4_url", $inf_settings) ? $inf_settings['big_fudge_s4_url'] : set_setting("big_fudge_s4_url", "", "big_fudge_control_panel");
	
	array_key_exists("big_fudge_s5_img", $inf_settings) ? $inf_settings['big_fudge_s5_img'] : set_setting("big_fudge_s5_img", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_s5_title", $inf_settings) ? $inf_settings['big_fudge_s5_title'] : set_setting("big_fudge_s5_title", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_s5_url", $inf_settings) ? $inf_settings['big_fudge_s5_url'] : set_setting("big_fudge_s5_url", "", "big_fudge_control_panel");
	
	array_key_exists("big_fudge_s6_img", $inf_settings) ? $inf_settings['big_fudge_s6_img'] : set_setting("big_fudge_s6_img", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_s6_title", $inf_settings) ? $inf_settings['big_fudge_s6_title'] : set_setting("big_fudge_s6_title", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_s6_url", $inf_settings) ? $inf_settings['big_fudge_s6_url'] : set_setting("big_fudge_s6_url", "", "big_fudge_control_panel");
	
	array_key_exists("big_fudge_s7_img", $inf_settings) ? $inf_settings['big_fudge_s7_img'] : set_setting("big_fudge_s7_img", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_s7_title", $inf_settings) ? $inf_settings['big_fudge_s7_title'] : set_setting("big_fudge_s7_title", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_s7_url", $inf_settings) ? $inf_settings['big_fudge_s7_url'] : set_setting("big_fudge_s7_url", "", "big_fudge_control_panel");
	
	array_key_exists("big_fudge_s8_img", $inf_settings) ? $inf_settings['big_fudge_s8_img'] : set_setting("big_fudge_s8_img", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_s8_title", $inf_settings) ? $inf_settings['big_fudge_s8_title'] : set_setting("big_fudge_s8_title", "", "big_fudge_control_panel");
	array_key_exists("big_fudge_s8_url", $inf_settings) ? $inf_settings['big_fudge_s8_url'] : set_setting("big_fudge_s8_url", "", "big_fudge_control_panel");
}

	echo "<form action='' method='post' enctype='multipart/form-data'>\n";
	echo "<div class='table bf-control-panel-admin'>\n";
	
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['bfcp_201']."</div>\n";
			echo "<div class='td' id='dContent'>\n";
			echo array_key_exists("big_fudge_s1_img", $inf_settings) && strlen($inf_settings['big_fudge_s1_img']) ? "<a href='".$inf_settings['big_fudge_s1_url']."' target='_blank' title='".$inf_settings['big_fudge_s1_title']."'><img src='".$inf_settings['big_fudge_s1_img']."' alt='".$inf_settings['big_fudge_s1_title']."' /></a>" : "";
			echo "</div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_106']."<br/ > <small><i>".$locale['bfcp_109']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s1_img' value='".$inf_settings['big_fudge_s1_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_105']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s1_title' value='".$inf_settings['big_fudge_s1_title']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_107']."<br /> <small><i>".$locale['bfcp_108']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s1_url' value='".$inf_settings['big_fudge_s1_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['bfcp_202']."</div>\n";
			echo "<div class='td' id='dContent'>\n";
			echo array_key_exists("big_fudge_s2_img", $inf_settings) && strlen($inf_settings['big_fudge_s2_img']) ? "<a href='".$inf_settings['big_fudge_s2_url']."' target='_blank' title='".$inf_settings['big_fudge_s2_title']."'><img src='".$inf_settings['big_fudge_s2_img']."' alt='".$inf_settings['big_fudge_s2_title']."' /></a>" : "";
			echo "</div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_106']."<br /> <small><i>".$locale['bfcp_109']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s2_img' value='".$inf_settings['big_fudge_s2_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_105']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s2_title' value='".$inf_settings['big_fudge_s2_title']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_107']."<br /> <small><i>".$locale['bfcp_108']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s2_url' value='".$inf_settings['big_fudge_s2_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['bfcp_203']."</div>\n";
			echo "<div class='td' id='dContent'>\n";
			echo array_key_exists("big_fudge_s3_img", $inf_settings) && strlen($inf_settings['big_fudge_s3_img']) ? "<a href='".$inf_settings['big_fudge_s3_url']."' target='_blank' title='".$inf_settings['big_fudge_s3_title']."'><img src='".$inf_settings['big_fudge_s3_img']."' alt='".$inf_settings['big_fudge_s3_title']."' /></a>" : "";
			echo "</div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_106']."<br/ > <small><i>".$locale['bfcp_109']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s3_img' value='".$inf_settings['big_fudge_s3_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_105']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s3_title' value='".$inf_settings['big_fudge_s3_title']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_107']."<br /> <small><i>".$locale['bfcp_108']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s3_url' value='".$inf_settings['big_fudge_s3_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['bfcp_204']."</div>\n";
			echo "<div class='td' id='dContent'>\n";
			echo array_key_exists("big_fudge_s4_img", $inf_settings) && strlen($inf_settings['big_fudge_s4_img']) ? "<a href='".$inf_settings['big_fudge_s4_url']."' target='_blank' title='".$inf_settings['big_fudge_s4_title']."'><img src='".$inf_settings['big_fudge_s4_img']."' alt='".$inf_settings['big_fudge_s4_title']."' /></a>" : "";
			echo "</div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_106']."<br/ > <small><i>".$locale['bfcp_109']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s4_img' value='".$inf_settings['big_fudge_s4_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_105']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s4_title' value='".$inf_settings['big_fudge_s4_title']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_107']."<br /> <small><i>".$locale['bfcp_108']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s4_url' value='".$inf_settings['big_fudge_s4_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['bfcp_205']."</div>\n";
			echo "<div class='td' id='dContent'>\n";
			echo array_key_exists("big_fudge_s5_img", $inf_settings) && strlen($inf_settings['big_fudge_s5_img']) ? "<a href='".$inf_settings['big_fudge_s5_url']."' target='_blank' title='".$inf_settings['big_fudge_s5_title']."'><img src='".$inf_settings['big_fudge_s5_img']."' alt='".$inf_settings['big_fudge_s5_title']."' /></a>" : "";
			echo "</div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_106']."<br/ > <small><i>".$locale['bfcp_109']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s5_img' value='".$inf_settings['big_fudge_s5_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_105']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s5_title' value='".$inf_settings['big_fudge_s5_title']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_107']."<br /> <small><i>".$locale['bfcp_108']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s5_url' value='".$inf_settings['big_fudge_s5_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['bfcp_206']."</div>\n";
			echo "<div class='td' id='dContent'>\n";
			echo array_key_exists("big_fudge_s6_img", $inf_settings) && strlen($inf_settings['big_fudge_s6_img']) ? "<a href='".$inf_settings['big_fudge_s6_url']."' target='_blank' title='".$inf_settings['big_fudge_s6_title']."'><img src='".$inf_settings['big_fudge_s6_img']."' alt='".$inf_settings['big_fudge_s6_title']."' /></a>" : "";
			echo "</div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_106']."<br/ > <small><i>".$locale['bfcp_109']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s6_img' value='".$inf_settings['big_fudge_s6_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_105']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s6_title' value='".$inf_settings['big_fudge_s6_title']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_107']."<br /> <small><i>".$locale['bfcp_108']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s6_url' value='".$inf_settings['big_fudge_s6_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['bfcp_207']."</div>\n";
			echo "<div class='td' id='dContent'>\n";
			echo array_key_exists("big_fudge_s7_img", $inf_settings) && strlen($inf_settings['big_fudge_s7_img']) ? "<a href='".$inf_settings['big_fudge_s7_url']."' target='_blank' title='".$inf_settings['big_fudge_s7_title']."'><img src='".$inf_settings['big_fudge_s7_img']."' alt='".$inf_settings['big_fudge_s7_title']."' /></a>" : "";
			echo "</div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_106']."<br/ > <small><i>".$locale['bfcp_109']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s7_img' value='".$inf_settings['big_fudge_s7_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_105']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s7_title' value='".$inf_settings['big_fudge_s7_title']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_107']."<br /> <small><i>".$locale['bfcp_108']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s7_url' value='".$inf_settings['big_fudge_s7_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='dTitle'>".$locale['bfcp_208']."</div>\n";
			echo "<div class='td' id='dContent'>\n";
			echo array_key_exists("big_fudge_s8_img", $inf_settings) && strlen($inf_settings['big_fudge_s8_img']) ? "<a href='".$inf_settings['big_fudge_s8_url']."' target='_blank' title='".$inf_settings['big_fudge_s8_title']."'><img src='".$inf_settings['big_fudge_s8_img']."' alt='".$inf_settings['big_fudge_s8_title']."' /></a>" : "";
			echo "</div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_106']."<br/ > <small><i>".$locale['bfcp_109']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s8_img' value='".$inf_settings['big_fudge_s8_img']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_105']."</div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s8_title' value='".$inf_settings['big_fudge_s8_title']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
		echo "<div class='tr'>\n";
			echo "<div class='td' id='title'>".$locale['bfcp_107']."<br /> <small><i>".$locale['bfcp_108']."</i></small></div>\n";
			echo "<div class='td' id='content'><input type='text' class='textbox' name='bf_s8_url' value='".$inf_settings['big_fudge_s8_url']."' style='width:380px;'/></div>\n";
		echo "</div>\n";
		
	echo "</div>\n";
	echo "<div align='center' style='padding-top: 10px;'>";
	echo "<input type='submit' class='button' name='save_links' value='".$locale['bfcp_104']."' /></div>\n";    
	echo "</form>\n";

closetable();

require_once THEMES."templates/footer.php";
?>
